読者です 読者をやめる 読者になる 読者になる

悪あがきプログラマー

悪あがきを続けていきたい技術と書評なブログです。トレタでiOSエンジニアやってます。

ld: library not found for -lz.1.2.3 Command /Developer/Platforms/iPhoneSimulator.platform/Developer/usr/bin/llvm-gcc-4.2 failed with exit code 1

環境:
OS Lion
Xcode 4.2 and iOS 5 SDK beta 4


SDK4で開発してたプロジェクトがビルド出来なくなりました。
Google先生に聞いてみると、
こことか
iphone - Linker Error in Xcode 4.2 Developer Preview - Stack Overflow

ここがヒット
Google Groups

ASIHTTPRequestで使ってるlibz.dylibのバージョンが違うらしい。
(これはダウンロードでzip化するときに使ってるのかな?)
まぁ、そんな感じで「libz.1.2.5.dylib」にしたらビルド出来ました。